/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// EncodeDecode.h: interface for the CEncodeDecode class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ENCODEDECODE_H__857218C6_5D60_11D3_92C4_00104B4B2995__INCLUDED_)
#define AFX_ENCODEDECODE_H__857218C6_5D60_11D3_92C4_00104B4B2995__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define ENC(c) (((c) & 077) + ' ')
#define DEC(c) (((c) - ' ') & 077)

//don't tell me why !!!!
#define LINE_READSIZE   45
#define LINE_ENCSIZE    61

class CEncodeDecode
{
    //Construction
public:
    CEncodeDecode();
    virtual ~CEncodeDecode();

    //Operation
public:
    BOOL    Encode(const CString& _strInFileName, CString& _strEncode);
    BOOL    Decode(CString& _strEncode, const CString& _strOutFileName);

protected:
    int     FRead(CFile *_pInFile, char *_pBuf, int _cnt);
    void    OutEnc(char *_pBuf, char *_pOutBuf, int& _nIndex);
    void    OutDec(char *_pBuf, CFile *_pOutFile, int _n);

};

#endif // !defined(AFX_ENCODEDECODE_H__857218C6_5D60_11D3_92C4_00104B4B2995__INCLUDED_)
