/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// ExtendedCheckTreeCtrl.cpp : implementation file
//

#include "stdafx.h"
#include "ExtendedCheckTreeCtrl.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CExtendedCheckTreeCtrl
//---------------------------------------------------------------------------

CExtendedCheckTreeCtrl::CExtendedCheckTreeCtrl()
{}

//---------------------------------------------------------------------------


CExtendedCheckTreeCtrl::~CExtendedCheckTreeCtrl()
{}

//---------------------------------------------------------------------------


BEGIN_MESSAGE_MAP(CExtendedCheckTreeCtrl, CCheckTreeCtrl)
//{{AFX_MSG_MAP(CExtendedCheckTreeCtrl)
// NOTE - the ClassWizard will add and remove mapping macros here.
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CExtendedCheckTreeCtrl message handlers
//---------------------------------------------------------------------------

// Get the previous item checked in the tree
void CExtendedCheckTreeCtrl::SetParentState( int iImage , HTREEITEM hItem )
{
    iImage = GetItemState( hItem , TVIS_STATEIMAGEMASK )>>12 ;
    HTREEITEM hParentItem ;
    //---
    hParentItem = GetNextItem( hItem , TVGN_PARENT ) ;
    if( hParentItem )
    {
        if( iImage == 3 )
        {
            if( hParentItem && HasBrothers( hItem ) && !IsBrotherStateUncheck( hItem ) )
                SetCheckThreeState( hParentItem ) ;
            else
                UnCheck( hParentItem ) ;
        }
        else
        {
            if( iImage == 2 )
                SetCheckThreeState( hParentItem ) ;
            else
                SetCheckThreeState( hParentItem ) ; // 3
        }


        SetParentState( iImage , hParentItem ) ;

    }


}

