#if !defined(AFX_DELPSHEET_H__766D0385_270D_11D4_AC98_00105A483E3C__INCLUDED_)
#define AFX_DELPSHEET_H__766D0385_270D_11D4_AC98_00105A483E3C__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DelPSheet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDelPSheet
#include <ExtendedPropertySheet.h>
#include "DelDelayPPage.h"
#include "DelStructures.h"

class CDelPSheet : public CExtendedPropertySheet
{
    DECLARE_DYNAMIC(CDelPSheet)

    // Construction
public:
    CDelPSheet(BOOL _bCreate, CDelInfo * _pDelInfo);

    // Attributes
public:
    CDelDelayPPage  m_DelayPage;

    // Operations
public:

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CDelPSheet)
public:
    virtual BOOL OnInitDialog();
    //}}AFX_VIRTUAL

    // Implementation
public:
    virtual ~CDelPSheet();

    // Generated message map functions
protected:
    //{{AFX_MSG(CDelPSheet)
    // NOTE - the ClassWizard will add and remove member functions here.
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DELPSHEET_H__766D0385_270D_11D4_AC98_00105A483E3C__INCLUDED_)
