#if !defined(AFX_IFSERVERRESPONSETESTPPAGE_H__766D0390_270D_11D4_AC98_00105A483E3C__INCLUDED_)
#define AFX_IFSERVERRESPONSETESTPPAGE_H__766D0390_270D_11D4_AC98_00105A483E3C__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// IfServerResponseTestPPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CIfServerResponseTestPPage dialog
#include <ExtendedPropertyPage.h>
#include <ExtendedComboBox.h>
#include "resource.h"
#include "IfStructures.h"

class CSCLStructure;

class CIfServerResponseTestPPage : public CExtendedPropertyPage
{
    DECLARE_DYNCREATE(CIfServerResponseTestPPage)

    // Construction
public:
    CIfServerResponseTestPPage(CIfServerResponseTest* _pServerResponseTest = NULL,CSCLStructure *_pSCLStructure=NULL);
    ~CIfServerResponseTestPPage();

    virtual void Ctrl2Values();
    virtual void Values2Ctrl();

    // Dialog Data
    //{{AFX_DATA(CIfServerResponseTestPPage)
    enum { IDD = IDD_IF_SRTEST_PPAGE };
    CExtendedComboBox   m_ctlURLCombo;
    CSpinButtonCtrl m_ctlResponseTimeSpin;
    int     m_nResponseTime;
    //}}AFX_DATA


    // Overrides
    // ClassWizard generate virtual function overrides
    //{{AFX_VIRTUAL(CIfServerResponseTestPPage)
public:
    virtual LRESULT OnWizardBack();
    virtual LRESULT OnWizardNext();
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:
    // Generated message map functions
    //{{AFX_MSG(CIfServerResponseTestPPage)
    virtual BOOL OnInitDialog();
    afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    CIfServerResponseTest* m_pServerResponseTest;
    CSCLStructure* m_pSCLStructure;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IFSERVERRESPONSETESTPPAGE_H__766D0390_270D_11D4_AC98_00105A483E3C__INCLUDED_)
