/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// VarValListDirectPPage.cpp: implementation of the CVarValListDirectPPage class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "modeller.h"
#include "VarValListDirectPPage.h"
#include "SCLGenerator.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////
//---------------------------------------------------------------------------

CVarValListDirectPPage::CVarValListDirectPPage(CVarInfo * _pVarInfo)
        :   CVarValListPPage(_pVarInfo)
{}

//---------------------------------------------------------------------------


CVarValListDirectPPage::~CVarValListDirectPPage()
{
}

//---------------------------------------------------------------------------


BOOL CVarValListDirectPPage::OnInitDialog()
{
    CVarValListPPage::OnInitDialog() ;
    CWnd * pBut;

    pBut = static_cast<CWnd *>(GetDlgItem(IDC_VAR_GENFILE)) ;
    pBut->ShowWindow(SW_SHOW) ;

    Values2Ctrl() ;

    return TRUE ;  // return TRUE unless you set the focus to a control
    // EXCEPTION: OCX Property Pages should return FALSE
}

//---------------------------------------------------------------------------


LRESULT CVarValListDirectPPage::OnWizardBack()
{
    return CExtendedPropertyPage::OnWizardBack() ;
}

//---------------------------------------------------------------------------

LRESULT CVarValListDirectPPage::OnWizardNext()
{
    Ctrl2Values() ;

    return CExtendedPropertyPage::OnWizardNext() ;
}

