/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// CECCyranoHome.h: interface for the CECCyranoHome class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CECCYRANOHOME_H__EDE83261_B651_11D3_94B8_00104BF1D68F__INCLUDED_)
#define AFX_CECCYRANOHOME_H__EDE83261_B651_11D3_94B8_00104BF1D68F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CECCyranoHome
{
public:
    CECCyranoHome();
    virtual ~CECCyranoHome();

    // @cmember Set the CYRANO_HOME environment variable
    int SetCyranoHome (const CString& CyranoHome) const;

    // @cmember Get the CYRANO HOME environment variable
    int GetCyranoHome (CString& CyranoHome) const;

};

#endif // !defined(AFX_CECCYRANOHOME_H__EDE83261_B651_11D3_94B8_00104BF1D68F__INCLUDED_)
