/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/////////////////////////////////////////////////////////////////////////
//
// CECTrace.h
// ----------
//
//    This is the include file for the CECTrace class
//
//=========================================================================

#if !defined(AFX_CECTRACE_H__AC7D9B11_5C74_11D3_9F2A_00500487BD9B__INCLUDED_)
#define AFX_CECTRACE_H__AC7D9B11_5C74_11D3_9F2A_00500487BD9B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECTrace.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CECTrace window

class CECTrace : public CObject
{
    // Construction
public:
    CECTrace(CString szInstallDir);

    // Attributes
public:

    // Implementation
public:
    BOOL Log (UINT nLevel, CString szClass, CString szFunction, CString szMessage);
    BOOL Create();
    void Close();

    virtual ~CECTrace();

private:
    CString ComposeEntry(UINT nLevel, CString szClass, CString szFunction, CString szMessage);

    CString     m_szInstallDir;
    CStdioFile* m_pTraceFile;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECTRACE_H__AC7D9B11_5C74_11D3_9F2A_00500487BD9B__INCLUDED_)
