/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

//{{AFX_INCLUDES()
#include "cecxmanagermonwrapper.h"
//}}AFX_INCLUDES
#if !defined(AFX_CECMONITORVIEW_H__449D4B61_7D93_11D3_9A95_00500447FC27__INCLUDED_)
#define AFX_CECMONITORVIEW_H__449D4B61_7D93_11D3_9A95_00500447FC27__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECMonitorView.h : header file
//
#include "resource.h"

/////////////////////////////////////////////////////////////////////////////
// CECMonitorView form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class CECMonitorView : public CFormView
{
protected:
    CECMonitorView();           // protected constructor used by dynamic creation
    DECLARE_DYNCREATE(CECMonitorView)
    enum {FRAMEMINWIDTH=200, FRAMEMINDEPTH=50};

    // Form Data
public:
    //{{AFX_DATA(CECMonitorView)
    enum { IDD = IDD_MONITOR_VIEW };
    CECXManagerMonWrapper   m_XManagerMon;
    //}}AFX_DATA

    // Attributes
public:

    // Operations
public:

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECMonitorView)
public:
    virtual void OnInitialUpdate();
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
    //}}AFX_VIRTUAL

    // Implementation
protected:
    virtual ~CECMonitorView();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

    // Generated message map functions
    //{{AFX_MSG(CECMonitorView)
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnShowManagerDetails(LPCTSTR strRegName);
    afx_msg void OnShowInjectorViewXmanagermonctrl(LPCTSTR strRegName);
    afx_msg BOOL OnEraseBkgnd(CDC *pDC);
    afx_msg void OnClosingControlXmanagermonctrl();
    afx_msg void OnLogAudit(LPCTSTR strRegName, short nState);
    DECLARE_EVENTSINK_MAP()
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECMONITORVIEW_H__449D4B61_7D93_11D3_9A95_00500447FC27__INCLUDED_)
