#if !defined(AFX_CECPROJECTVIEWERDLG_H__4DE79B69_FCC3_11D2_BDC9_00608CB45114__INCLUDED_)
#define AFX_CECPROJECTVIEWERDLG_H__4DE79B69_FCC3_11D2_BDC9_00608CB45114__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECProjectViewerDlg.h : header file
//
#include "resource.h"
//{{AFX_INCLUDES()
#include "cecxprojectviewerwrapper.h"
//}}AFX_INCLUDES

/////////////////////////////////////////////////////////////////////////////
// CECProjectViewerDlg dialog

class CECProjectViewerDlg : public CDialog
{
    // Construction
public:
    CECProjectViewerDlg(CWnd* pParent = NULL);   // standard constructor
    void RefreshView();

    // Dialog Data
    //{{AFX_DATA(CECProjectViewerDlg)
    enum { IDD = IDD_PROJ_VIEWER };
    CECXProjectViewerWrapper    m_ProjView;
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECProjectViewerDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    virtual void OnOK();
    virtual void OnCancel();
    //}}AFX_VIRTUAL

    // Implementation
public:
    // Sets the current Project In the Project Viewer
    void SetActiveProject(CString szProjectName);

protected:

    // Generated message map functions
    //{{AFX_MSG(CECProjectViewerDlg)
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnXChangeActiveProject(LPCTSTR ProjectName);
    afx_msg void OnXExecuteTest(LPCTSTR TestName);
    afx_msg void OnXOpenTestRun(LPCTSTR TestName, LPCTSTR TestRunName);
    virtual BOOL OnInitDialog();
    afx_msg void OnXExportFile(LPCTSTR strFileName);
    afx_msg void OnXViewResults(LPCTSTR TestName, LPCTSTR TestRunName, short nType);
    afx_msg void OnPaint();
    afx_msg void OnXRequestNewNode();
    afx_msg BOOL OnEraseBkgnd(CDC *pDC);
    afx_msg void OnXViewHttpStatsXprojectviewerctrl(LPCTSTR TestName, LPCTSTR TestRunName);
    afx_msg void OnXRequestNewScript();
    DECLARE_EVENTSINK_MAP()
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

private:
    CString m_szActiveProject;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECPROJECTVIEWERDLG_H__4DE79B69_FCC3_11D2_BDC9_00608CB45114__INCLUDED_)
