/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/////////////////////////////////////////////////////////////////////////
//
// CYRGenericDoc.h
// ---------------
//
//    This is the include file for the CYRGenericDoc class
//
//=========================================================================
#if !defined(AFX_COMMANDERDOC_H__F09D489D_A611_11D2_A523_00104BC301B1__INCLUDED_)
#define AFX_COMMANDERDOC_H__F09D489D_A611_11D2_A523_00104BC301B1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CYRGenericDoc : public CDocument
{
protected: // create from serialization only
    DECLARE_DYNCREATE(CYRGenericDoc)

    // Attributes


public:

    CYRGenericDoc();

public:


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CYRGenericDoc)
public:
    virtual BOOL OnNewDocument();
    virtual void Serialize(CArchive& ar);
    virtual void OnCloseDocument();
    //}}AFX_VIRTUAL

    // Implementation
public:
    virtual ~CYRGenericDoc();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

protected:

    // Generated message map functions
protected:
    //{{AFX_MSG(CYRGenericDoc)
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

private:
};
/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COMMANDERDOC_H__F09D489D_A611_11D2_A523_00104BC301B1__INCLUDED_)
