#if !defined(AFX_HEADERVIEW_H__2A3A9498_F33E_11D3_AC83_00105A483E3C__INCLUDED_)
#define AFX_HEADERVIEW_H__2A3A9498_F33E_11D3_AC83_00105A483E3C__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// HeaderView.h : header file
//
#include "OSGridView.h"     //OS

#define COL_HEADER_NAME 0
/////////////////////////////////////////////////////////////////////////////
// CHeaderView view

class CHeaderView : public COSGridView  //OS
{
protected:
    CHeaderView();           // protected constructor used by dynamic creation
    DECLARE_DYNCREATE(CHeaderView)

    // Attributes
public:

    // Operations
public:

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CHeaderView)
public:
    virtual void OnInitialUpdate();
    //}}AFX_VIRTUAL

    // Implementation
protected:
    virtual ~CHeaderView();


    void FillGrid(CString _strData) ;
    BOOL AddRow( const CString& strHeader , const CString& strValue );

    // Generated message map functions
protected:
    //{{AFX_MSG(CHeaderView)
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HEADERVIEW_H__2A3A9498_F33E_11D3_AC83_00105A483E3C__INCLUDED_)
