/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// IfGeneralPPage.cpp : implementation file
//

#include "stdafx.h"
#include "IfGeneralPPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CIfGeneralPPage property page
//--------------------------------------------------------------------------

BEGIN_MESSAGE_MAP(CIfGeneralPPage, CExtendedPropertyPage)
//{{AFX_MSG_MAP(CIfGeneralPPage)
ON_WM_CTLCOLOR()
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//--------------------------------------------------------------------------

IMPLEMENT_DYNCREATE(CIfGeneralPPage, CExtendedPropertyPage)

//--------------------------------------------------------------------------

CIfGeneralPPage::CIfGeneralPPage() : CExtendedPropertyPage(CIfGeneralPPage::IDD)
{
    //{{AFX_DATA_INIT(CIfGeneralPPage)
    // NOTE: the ClassWizard will add member initialization here
    //}}AFX_DATA_INIT
}

//--------------------------------------------------------------------------


CIfGeneralPPage::~CIfGeneralPPage()
{}

//--------------------------------------------------------------------------


void CIfGeneralPPage::DoDataExchange(CDataExchange* pDX)
{
    CExtendedPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CIfGeneralPPage)
    // NOTE: the ClassWizard will add DDX and DDV calls here
    //}}AFX_DATA_MAP
}


/////////////////////////////////////////////////////////////////////////////
// CIfGeneralPPage message handlers


void CIfGeneralPPage::Ctrl2Values()
{}

//--------------------------------------------------------------------------


void CIfGeneralPPage::Values2Ctrl()
{}

//--------------------------------------------------------------------------


HBRUSH CIfGeneralPPage::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor)
{
    HBRUSH hbr = CExtendedPropertyPage::OnCtlColor(pDC, pWnd, nCtlColor);

    if( nCtlColor == CTLCOLOR_STATIC && pWnd->m_hWnd == GetDlgItem(IDC_DESCRIPTION)->m_hWnd)
    {
        pDC->SetTextColor( RGB( 0 , 0 , 255 ) ) ;
    }

    // TODO: Return a different brush if the default is not desired
    return hbr;
}
