#if !defined(AFX_OSGridView_H__2A3A9498_F33E_11D3_AC83_00105A483E3C__INCLUDED_)
#define AFX_OSGridView_H__2A3A9498_F33E_11D3_AC83_00105A483E3C__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OSGridView.h : header file
//
#include "OSGridCtrl.h"

/////////////////////////////////////////////////////////////////////////////
// COSGridView view

class COSGridView : public CView
{
protected:
    COSGridView();           // protected constructor used by dynamic creation
    DECLARE_DYNCREATE(COSGridView)

    // Attributes
public:
    COSGridCtrl m_wndGrid;

    // Operations
public:
    void AdjustRowsToHeight();

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(COSGridView)
public:
    virtual void OnInitialUpdate();
    virtual void OnDraw(CDC* pDC);
protected:
    virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);
    //}}AFX_VIRTUAL

    // Implementation
    virtual ~COSGridView();

    virtual void DoOwnerContextMenu(CMenu* _pSubMenu)
    {}
    ;

    COSGridCtrl & GetGridCtrl() ;

    // Generated message map functions
protected:
    //{{AFX_MSG(COSGridView)
    afx_msg void OnSize(UINT nType, int cx, int cy);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OSGridView_H__2A3A9498_F33E_11D3_AC83_00105A483E3C__INCLUDED_)
