#if !defined(AFX_VISYNCEVENTPPAGE_H__3F105F75_2813_11D4_BD99_00C04F89E392__INCLUDED_)
#define AFX_VISYNCEVENTPPAGE_H__3F105F75_2813_11D4_BD99_00C04F89E392__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// VISyncEventPPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CVISyncEventPPage dialog
#include <ExtendedPropertyPage.h>
#include "ExtendedComboBox.h"
#include "VIStructures.h"

class CSCLStructure;

class CVISyncEventPPage : public CExtendedPropertyPage
{
    DECLARE_DYNCREATE(CVISyncEventPPage)

    // Construction
public:
    CVISyncEventPPage(CVISyncEvent* _pSyncEvent = NULL,CSCLStructure *_pSCLStructure=NULL);
    ~CVISyncEventPPage();

    virtual void Ctrl2Values();
    virtual void Values2Ctrl();

    // Dialog Data
    //{{AFX_DATA(CVISyncEventPPage)
    enum { IDD = IDD_VI_SYNC_EVENT_PPAGE };
    CExtendedComboBox   m_ctlURLCombo;
    //}}AFX_DATA


    // Overrides
    // ClassWizard generate virtual function overrides
    //{{AFX_VIRTUAL(CVISyncEventPPage)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:
    // Generated message map functions
    //{{AFX_MSG(CVISyncEventPPage)
    virtual BOOL OnInitDialog();
    afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    CVISyncEvent* m_pSyncEvent;
    CSCLStructure* m_pSCLStructure;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VISYNCEVENTPPAGE_H__3F105F75_2813_11D4_BD99_00C04F89E392__INCLUDED_)
