/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#ifndef __SCLCALLBACK_H__
#define __SCLCALLBACK_H__

// Callbacks

extern void CallBackEnvironmentFound();
extern void CallBackDefinitionFound();
extern void CallBackCodeFound();
extern void CallBackExitFound();
extern void CallBackPostGetFound();
extern void CallBackEndPostGetFound();
extern void CallBackURLFound(char *_pszURL);
extern void CallBackURLArgFound(char *_pszURL);
extern void CallBackToURL();
extern void CallBackConIdFound(char *_pszConId);
extern void CallBackVariableFound();
extern void CallBackCompletePostGetFound();
extern void CallBackVarNameFound(char *_pszVarName);
extern void CallBackVarFileNameFound(char *_pszVarFileName);
extern void CallBackVarValListFound(char *_pszVarValList);
extern void CallBackCompleteVariableFound();
extern void CallBackVarCharacterFound();
extern void CallBackVarIntegerFound();
extern void CallBackVarLocalFound();
extern void CallBackVarScriptFound();
extern void CallBackVarGlobalFound();
extern void CallBackVarPrivateFound();
extern void CallBackVarRandomFound();
extern void CallBackVarThreadFound();

#endif
