/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

//{{AFX_INCLUDES()
#include "httpstatsocx.h"
//}}AFX_INCLUDES
#if !defined(AFX_CECHTTPSTATSVIEW_H__263F0F03_4295_11D4_BDAD_00C04F89E392__INCLUDED_)
#define AFX_CECHTTPSTATSVIEW_H__263F0F03_4295_11D4_BDAD_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECHttpStatsView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CECHttpStatsView form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class CECHttpStatsView : public CFormView
{
protected:
    CECHttpStatsView();           // protected constructor used by dynamic creation
    DECLARE_DYNCREATE(CECHttpStatsView)

    // Form Data
public:
    //{{AFX_DATA(CECHttpStatsView)
    enum { IDD = IDD_HTTP_STATS_VIEW };
    CHttpStatsOcx   m_ctlHttpStats;
    //}}AFX_DATA

    // Attributes
public:

    // Operations
public:

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECHttpStatsView)
public:
    virtual void OnInitialUpdate();
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL
    afx_msg BOOL OnEraseBkgnd(CDC *pDC);

    // Implementation
protected:
    virtual ~CECHttpStatsView();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

    // Generated message map functions
    //{{AFX_MSG(CECHttpStatsView)
    afx_msg void OnSize(UINT nType, int cx, int cy);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECHTTPSTATSVIEW_H__263F0F03_4295_11D4_BDAD_00C04F89E392__INCLUDED_)
