/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/////////////////////////////////////////////////////////////////////////
//
// CYRThreadSummary.h
// ------------------
//
//    This is the include file for the CYRThreadSummary class
//
//=========================================================================
//{{AFX_INCLUDES()
#include "cyrlistcontrolwrapper.h"
//}}AFX_INCLUDES

#if !defined(AFX_CYRTHREADSUMMARY_H__930AC893_2EBE_11D3_9F0C_00500487BD9B__INCLUDED_)
#define AFX_CYRTHREADSUMMARY_H__930AC893_2EBE_11D3_9F0C_00500487BD9B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CYRThreadInfo;

class CYRThreadSummary : public CDialog
{
    // Construction
public:
    CYRThreadSummary(CWnd* pParent = NULL);   // standard constructor

    // Dialog Data
    //{{AFX_DATA(CYRThreadSummary)
    enum { IDD = IDD_THREAD_SUMMARY };
    CCyrListControl m_ThreadList;
    //}}AFX_DATA

    void SetData(CYRThreadInfo* pThread);

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CYRThreadSummary)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CYRThreadSummary)
    virtual BOOL OnInitDialog();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CYRTHREADSUMMARY_H__930AC893_2EBE_11D3_9F0C_00500487BD9B__INCLUDED_)
