/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

typedef union
{
    int integer_type;
    char* string_type;
} YYSTYPE;
#define INTEGER 258
#define STRING_WORD 259
#define CONNECT 260
#define SERVER  261
#define CONID   262
#define DISCONNECT  263
#define WAIT    264
#define REQUEST 265
#define HEADER  266
#define SECTION_MARKER  267
#define BODY    268
#define URI 269
#define STRING_LINE 270
#define TDELAY  271
#define COMMENT 272
#define _TYPE   273
#define LOAD_RESPONSE_INFO  274
#define IDENTIFIER  275
#define QUOTED_STRING   276
#define DATA    277
#define INTO    278
#define VARDEF  279
#define NAME    280
#define OPTION  281
#define _SIZE   282
#define OPTIONS 283
#define STIMER  284
#define ETIMER  285
#define TIMDEF  286
#define _SYNCHRONIZE    287


extern YYSTYPE Tof2Scllval;
